Read Reporting Period Configuration - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read Reporting Period Configuration
GET
/v1/reporting-period-config/{reportingPeriodConfigurationId}
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.get("https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Format
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"monthlyReportingPeriods": [
{
"periodNumber": 123,
"quarterNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"weeklyReportingPeriods": [
{
"weekNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
]
}
Authorizations
Authorization: string, required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
reportingPeriodConfigurationId: string, required
Response Codes
200 - application/json
- id: string
- version: integer
- creationDate: string
- lastModifiedDate: string
- createdUserInfo: object
- lastModifiedUserInfo: object
- monthlyReportingPeriods: List of objects
- weeklyReportingPeriods: List of objects